Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
sensors::Logger::LogRow Struct Reference

One full log row. More...

`import <SensorLogger.idl;`

## Public Attributes
time | sensorSetTimestamp
| Time of last sensor set modification (UNIX timestamp, UTC)
time | timestamp
| Log row time stamp (UNIX timestamp, UTC)
vector< Record > | sensorRecords
| Sensor records; same order as in SensorSet::sensors.
vector< Record > | peripheralDeviceRecords
| Peripheral device records; same order as in SensorSet::slots.

## Detailed Description

One full log row.

Definition at line 309 of file SensorLogger.idl.

## Member Data Documentation

## ◆ peripheralDeviceRecords

vector<Record> sensors::Logger::LogRow::peripheralDeviceRecords

Peripheral device records; same order as in SensorSet::slots.

Definition at line 317 of file SensorLogger.idl.

## ◆ sensorRecords

vector<Record> sensors::Logger::LogRow::sensorRecords

Sensor records; same order as in SensorSet::sensors.

Definition at line 315 of file SensorLogger.idl.

## ◆ sensorSetTimestamp

time sensors::Logger::LogRow::sensorSetTimestamp

Time of last sensor set modification (UNIX timestamp, UTC)

Definition at line 311 of file SensorLogger.idl.

## ◆ timestamp

time sensors::Logger::LogRow::timestamp

Log row time stamp (UNIX timestamp, UTC)

Definition at line 313 of file SensorLogger.idl.

The documentation for this struct was generated from the following file:

- SensorLogger.idl